/*
*   This file is part of the Interactive Julia and Mandelbrot system.
*   The Interactive Julia and Mandelbrot system is free software: 
*	you can redistribute it and/or modify it under the terms of the 
*	GNU General Public License as published by the Free Software 
*	Foundation, either version 3 of the License, or (at your option) 
*	any later version.
*
*   The Interactive Julia and Mandelbrot system is distributed in 
*	the hope that it will be useful, but WITHOUT ANY WARRANTY; 
*	without even the implied warranty of MERCHANTABILITY or FITNESS 
*	FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
*	for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with The Interactive Julia and Mandelbrot suite.  
*	If not, see <http://www.gnu.org/licenses/>.
*/

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;


/**
 * 
 * The purpose of the class main is to create and invoke the classes
 * JuliaFrame, MadelrbrotFrame and OrbitFrame classes and provide them
 * with access to each other by passing them as parameters.
 *
 */
class Main {
	public static void main(String args[]) 
	{ 
		 MandelbrotFrame mandelbrot = (new MandelbrotFrame()); // Start application
		 JuliaFrame julia = (new JuliaFrame(mandelbrot)); 
		 OrbitFrame juliaOrbit = (new OrbitFrame(mandelbrot,julia));
		 mandelbrot.heresJulia(julia);
	} 
}  


     